%global extid   %{extname}@csoriano
%global extname desktop-icons
%global uuid    org.gnome.shell.extensions.%{extname}

Name:           gnome-shell-extension-%{extname}
Version:        20.04.0
Release:        %mkrel 3
Summary:        GNOME Shell extension for providing desktop icons
Group:          Graphical desktop/GNOME

License:        GPLv3+
URL:            https://gitlab.gnome.org/World/ShellExtensions/desktop-icons
Source0:        %{url}/-/archive/%{version}/%{extname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  glib2.0-common
BuildRequires:  gobject-introspection
BuildRequires:  intltool
BuildRequires:  meson
Requires:       gnome-shell
Requires:       nautilus >= 3.30.4
Requires:       xdg-desktop-portal-gtk

%description
This package provides a GNOME Shell extension for showing the contents
of ~/Desktop on the desktop of the Shell. Common file management operations
such as launching, copy/paste, rename and deleting are supported.

You can use gnome-tweaks (additional package) or run in terminal:

  gnome-extensions enable %{extid}


%prep
%autosetup -n %{extname}-%{version}
sed -e "/meson_post_install/d" -i meson.build


%build
%meson --localedir=%{_datadir}/locale
%meson_build


%install
%meson_install
%find_lang %{extname}


%files -f %{extname}.lang
%license LICENSE
%doc README.md
%{_datadir}/glib-2.0/schemas/%{uuid}.gschema.xml
%{_datadir}/gnome-shell/extensions/%{extid}




%changelog
* Sun Aug 14 2022 tv <tv> 20.04.0-3.mga9
+ Revision: 1877558
- Fix build by BRing glib2.0-common

* Thu Mar 24 2022 umeabot <umeabot> 20.04.0-2.mga9
+ Revision: 1824237
- Mageia 9 Mass Rebuild

* Sat Apr 11 2020 ovitters <ovitters> 20.04.0-1.mga8
+ Revision: 1566322
- new version 20.04.0
- from Fedora

